Package fr.gouv.vitam.common.server

# Interface VitamServer

All Superinterfaces:
  `VitamServerInterface`

All Known Implementing Classes:
  `BasicVitamServer`

public interface VitamServer extends VitamServerInterface
Interface for every Vitam REST Server

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CAN_CONFIGURE_SERVER`
  Default message
  `static final String`
  `CONFIG_FILE_IS_A_MANDATORY_ARGUMENT`
  Default message
  `static final String`
  `CONFIGURATION_IS_A_MANDATORY_ARGUMENT`
  Default message
  `static final String`
  `SERVER_CAN_NOT_START`
  Default message
  `static final String`
  `SERVER_START_WITH_JETTY_CONFIG`
  Default message

  ### Fields inherited from interface fr.gouv.vitam.common.server.VitamServerInterface

  `ADMIN_CONNECTOR_NAME, BUSINESS_CONNECTOR_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `configure(org.eclipse.jetty.server.Handler applicationHandler)`
  Configure the server with one handler
  `org.eclipse.jetty.server.Handler`
  `getHandler()`
  `org.eclipse.jetty.server.Server`
  `getServer()`
  retrieve the jettyServer
  `org.eclipse.jetty.xml.XmlConfiguration`
  `getServerConfiguration()`
  get the configuration of jetty
  `boolean`
  `isConfigured()`
  `boolean`
  `isStarted()`
  check if vitam server is started
  `boolean`
  `isStopped()`
  check if vitam server is stopped
  `void`
  `setHandler(org.eclipse.jetty.server.Handler handler)`
  set jetty handler
  `void`
  `start()`
  start the jetty server without join (Junit only)
  `void`
  `startAndJoin()`
  Start the server with implicit Join
  `void`
  `stop()`
  stop the jetty server

  ### Methods inherited from interface fr.gouv.vitam.common.server.VitamServerInterface

  `getAdminPort, getPort`

- ## Field Details

  - ### SERVER_CAN_NOT_START

    static final String SERVER_CAN_NOT_START
    Default message
    See Also:
      - Constant Field Values

  - ### CONFIG_FILE_IS_A_MANDATORY_ARGUMENT

    static final String CONFIG_FILE_IS_A_MANDATORY_ARGUMENT
    Default message
    See Also:
      - Constant Field Values

  - ### CONFIGURATION_IS_A_MANDATORY_ARGUMENT

    static final String CONFIGURATION_IS_A_MANDATORY_ARGUMENT
    Default message
    See Also:
      - Constant Field Values

  - ### CAN_CONFIGURE_SERVER

    static final String CAN_CONFIGURE_SERVER
    Default message
    See Also:
      - Constant Field Values

  - ### SERVER_START_WITH_JETTY_CONFIG

    static final String SERVER_START_WITH_JETTY_CONFIG
    Default message
    See Also:
      - Constant Field Values

- ## Method Details

  - ### configure

    void configure(org.eclipse.jetty.server.Handler applicationHandler) throws VitamApplicationServerException
    Configure the server with one handler
    Parameters:
      `applicationHandler` -
    Throws:
      `VitamApplicationServerException`

  - ### startAndJoin

    void startAndJoin() throws VitamApplicationServerException
    Start the server with implicit Join
    Throws:
      `VitamApplicationServerException`

  - ### isConfigured

    boolean isConfigured()
    Returns:
      true if Server is configured

  - ### getHandler

    org.eclipse.jetty.server.Handler getHandler()
    Returns:
      the associated handler

  - ### getServer

    org.eclipse.jetty.server.Server getServer()
    retrieve the jettyServer
    Returns:
      the jetty server

  - ### getServerConfiguration

    org.eclipse.jetty.xml.XmlConfiguration getServerConfiguration()
    get the configuration of jetty
    Returns:
      the config

  - ### isStarted

    boolean isStarted()
    check if vitam server is started
    Returns:
      true if jetty server is started

  - ### isStopped

    boolean isStopped()
    check if vitam server is stopped
    Returns:
      true if jetty server is stopped

  - ### stop

    void stop() throws VitamApplicationServerException
    stop the jetty server
    Throws:
      `VitamApplicationServerException`

  - ### start

    void start() throws VitamApplicationServerException
    start the jetty server without join (Junit only)
    Throws:
      `VitamApplicationServerException`

  - ### setHandler

    void setHandler(org.eclipse.jetty.server.Handler handler)
    set jetty handler
    Parameters:
      `handler` - the handler to set